=== debian/changelog ===
exim4 (4.87-3ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Show Ubuntu distribution in SMTP banner.
    + Build-Depends on lsb-release (needed for the Ubuntu SMTP banner patch)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 26 Jul 2016 13:30:09 +0200

exim4 (4.87-3) unstable; urgency=medium

  * Pull multiple patches from upstream GIT:
    + 71_01_configure.default-nice-message-for-overlong-lines-Bu.patch
      Improved message on overlong lines in example config.
    + 71_02_Delivery-quieten-smtp-transport-conn-reuse-vs.-deliv.patch
      Fix race condition related to connection reuse.
      https://bugs.exim.org/show_bug.cgi?id=1810
    + 71_03_Avoid-exposing-passwords-in-log-on-failing-ldap-look.patch
      71_04_Avoid-exposing-passwords-in-log-on-failing-ldap-look.patch
      Avoid exposing passwords in log on failing ldap lookup
      expansion. https://bugs.exim.org/show_bug.cgi?id=165
  * Copy information message on rejecting overlong lines in data ACL from
    upstream example configuration. Closes: #823418
  * Add NEWS entry on line-lenght-limit introduced in 4.87~RC1-1.
    Closes: 821830

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 May 2016 14:03:10 +0200

exim4 (4.87-2) unstable; urgency=medium

  * Fix reference to README.Debian in 01_exim4-config_listmacrosdefs.
    (Thanks, L. Guruprasad!) Closes: #821416
  * Add REMOTE_SMTP_SMARTHOST_HOSTS_REQUIRE_TLS macro to enforce TLS
    connections (hosts_require_tls option) in remote_smtp_smarthost
    transport. Closes: #822174
  * exim4-daemon-heavy: Disable WITH_OLD_DEMIME ("demime" ACL condition). It
    is deprecated and will be removed in 4.88.
  * README.Debian*: Fix minor issues  found by lintian.
  * Fix reference to spec.txt in 30_exim4-config_check_rcpt. Closes: #665399
  * Drop exim4-base Recommends on perl-modules. This had been unnecessary
    since 4.80~rc6-1 which dropped /usr/share/exim4/timeout.pl.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Apr 2016 13:38:29 +0200

exim4 (4.87-1) unstable; urgency=medium

  * Fix comment in
    conf.d/transport/30_exim4-config_remote_smtp_smarthost. (Thanks,
    Jörg-Volker Peetz!) Closes: #819780
  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 07 Apr 2016 19:26:59 +0200

exim4 (4.87~RC7-1) unstable; urgency=low

  * Enable SOCKS support in both -light and -heavy. Closes: #818091
  * Fix typos in configuration. (Thanks, Vincent Lefevre!) Closes: #819482
  * New upstream version.
    + Drop 74_Store-the-initial-working-directory.diff,
      75_String-expansions-fix-extract.patch,
      76_only_warn_on_nonempty_environment.diff.
    + Update debian/example.conf.md5.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 01 Apr 2016 19:04:07 +0200

exim4 (4.87~RC6-3) unstable; urgency=medium

  * Merge changelog entries for 4.86.2-1 and -2.
  * Upload to unstable.
  * Add link to CVE details to latest NEWS entry and bump its version and date
    to match this upload. Closes: #818349, #817244

 -- Andreas Metzler <ametzler@debian.org>  Wed, 23 Mar 2016 18:44:22 +0100

exim4 (4.87~RC6-2) experimental; urgency=medium

  * 74_Store-the-initial-working-directory.diff,
    76_only_warn_on_nonempty_environment.diff: Upstream followups on the
    CVE fix (Thanks, Heiko Schlittermann!):
    + Runtime warning is only generated if (and only if) keep_environment
      is unset and environment is nonempty.
    + Store the initial working directory and make it available in the new
      expansion variable $initial_cwd.
  * Merge all NEWS.Debian files into a single one, identical for all binary
    packages. - Different NEWS files built from a single source package is not
    and has not ever been supported by apt-listchanges which is the most
    important frontend.
  * Add a NEWS entry about the environment related runtime warning.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Mar 2016 18:11:32 +0100

exim4 (4.87~RC6-1) experimental; urgency=medium

  * New upstream version.
  * Add 75_String-expansions-fix-extract.patch from upstream GIT, fixing
    ${extract } string expansion for the numeric/3-string case. (Bug was
    introduced in 4.85.)
  * Set keep_environment to empty value instead of setting a minimal PATH in
    add_environment.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 11 Mar 2016 19:50:07 +0100

exim4 (4.87~RC5-2) experimental; urgency=medium

  * Update debian/upstream/signing-key.asc, using the keys listed in
    ftp://ftp.exim.org/pub/exim/Exim-Maintainers-Keyring.asc. This adds
    Heiko Schlittermann's key.
  * Bump exim4-config Breaks to exim4-daemon-* (<< 4.87~RC5). Closes: #816790

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Mar 2016 13:17:01 +0100

exim4 (4.87~RC5-1) experimental; urgency=medium

  * exim4-config.postinst: Test for existence of /etc/inetd.conf before trying
    to grep in it. Closes: #814998
  * New upstream version, includes the patch for CVE-2016-1531. (Local root
    exploit).
  * Add macros MAIN_KEEP_ENVIRONMENT and MAIN_ADD_ENVIRONMENT to set the new
    options. If neither is used we use add_environment to set a minimal
    PATH=/bin:/usr/bin to avoid a runtime warning.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 02 Mar 2016 21:06:43 +0100

exim4 (4.87~RC3-2) experimental; urgency=medium

  * README.Debian: Refer to Exim specification by chapter name instead of
    chapter number. Closes: #813351
  * Fix some spelling errors found by lintian.
  * Minor debian/rules cleanup:
    + Restore originally intended behavior, upstream changelog is only
      shipped in exim4-base, symlinks to it elsewhere.
    + Drop workaround for #347577, fixed in debhelper 5.0.15.
    + Use "dh binary-arch" and "dh binary-indep" and a bunch of override
      targets instead of listing all dh-commands. While this is uglier and
      slows things down a bit it shortens debian/rules by 40 lines and has the

