=== debian/control ===
--- 
+++ 
@@ -5,11 +5,9 @@
 XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>,Marc Haber <mh+debian-packages@zugschlus.de>
 Homepage: http://www.exim.org/
-Standards-Version: 3.9.6
-#Vcs-Git: git://git.debian.org/git/pkg-exim4/exim4.git
-#Vcs-Browser: http://git.debian.org/?p=pkg-exim4/exim4.git
-Vcs-Git: git://anonscm.debian.org/pkg-exim4/exim4.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exim4/exim4.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-exim4/exim4.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-exim4/exim4.git
 Build-Depends: debhelper (>= 9), po-debconf, docbook-xsl, xsltproc,
   lynx-cur | lynx, docbook-xml, libpcre3-dev, libldap2-dev, libpam0g-dev,
   libident-dev, libdb5.3-dev, libxmu-dev, libxt-dev, libxext-dev, libx11-dev,
@@ -27,7 +25,7 @@
  cron | cron-daemon | anacron,
  exim4-config (>=4.82) | exim4-config-2, adduser, netbase, lsb-base (>= 3.0-6)
 # psmisc just for exiwhat.
-Recommends: psmisc, mailx, perl-modules
+Recommends: psmisc, mailx
 Suggests: mail-reader, eximon4, exim4-doc-html|exim4-doc-info, 
  gnutls-bin | openssl, file, spf-tools-perl, swaks
 Description: support files for all Exim MTA (v4) packages
@@ -59,7 +57,7 @@
 
 Package: exim4-config
 Architecture: all
-Breaks: exim4-daemon-light (<< 4.86.2), exim4-daemon-heavy (<< 4.86.2)
+Breaks: exim4-daemon-light (<< 4.87~RC5), exim4-daemon-heavy (<< 4.87~RC5)
 Provides: exim4-config-2
 Conflicts: exim, exim-tls, exim4-config, exim4-config-2, ${MTA-Conflicts}
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
@@ -236,3 +234,5 @@
  .
  The Debian exim4 packages have their own web page,
  http://wiki.debian.org/PkgExim4. There is also a Debian-specific
+ FAQ list. Information about the way the Debian packages are
+ configured can be found in
