=== debian/rules ===
--- 
+++ 
@@ -70,7 +70,6 @@
 ifeq ($(buildbasepackages),yes)
 basedaemonpackages=exim4-daemon-light
 combinedadbgpackage=exim4-base eximon4
-combinedidbgpackage=exim4-config exim4
 exim4dbg=exim4-dbg
 dhstripparm=--dbg-package=$(exim4dbg)
 exim4dev=exim4-dev
@@ -78,14 +77,11 @@
 else
 basedaemonpackages=
 combinedadbgpackage=
-combinedidbgpackage=
 exim4dbg=
 dhstripparm=
 exim4dev=
 extraadbgpackage=$(extradaemonpackages)
 endif
-#DEBUGOUT:=$(shell echo >&2 buildbasepackages $(buildbasepackages))
-#DEBUGOUT:=$(shell echo >&2 extradaemonpackages $(extradaemonpackages))
 
 # If you want to build with OpenSSL instead of GnuTLS, uncomment this
 # OPENSSL:=1
@@ -98,7 +94,6 @@
 # generate -pexim4-base -peximon4 ... commandline for debhelper
 dhbuildpackages=$(addprefix -p,$(buildpackages))
 dhcombinedadbgpackage=$(addprefix -p,$(combinedadbgpackage))
-dhcombinedidbgpackage=$(addprefix -p,$(combinedidbgpackage))
 
 # exim4-daemon-heavy --> b-exim4-daemon-heavy/build-Linux-x86_64/exim
 daemonbinaries=$(addprefix b-,$(addsuffix /build-$(buildname)/exim,$(extradaemonpackages)))
@@ -109,7 +104,6 @@
 # get upstream-version from debian/changelog, i.e. anything until the first -
 DEBVERSION := $(shell dpkg-parsechangelog | sed -n '/^Version: /s/^Version: //p')
 UPSTREAMVERSION := $(shell echo $(DEBVERSION) | sed -n 's/\(.\+\)-[^-]\+/\1/p')
-MTACONFLICTS := $(shell cat $(DEBIAN)/mtalist)
 DEBTIME := $(shell dpkg-parsechangelog --show-field Date)
 REPBUILDDATE := \
 	$(shell env LC_ALL=C TZ=UTC date --date="$(DEBTIME)" '+%b %e %Y')
@@ -148,11 +142,12 @@
 ifdef OPENSSL
 	patch EDITME.exim4-light $(DEBIAN)/EDITME.openssl.exim4-light.diff
 endif
-	-for editme in $(DEBIAN)/EDITME.exim4-*.diff; do \
+	for editme in $(DEBIAN)/EDITME.exim4-*.diff; do \
 	  if [ "$$editme" != "$(DEBIAN)/EDITME.exim4-light.diff" ]; then \
 	    TARGETNAME=`basename $$editme .diff`; \
 	    echo patch -o $$TARGETNAME EDITME.exim4-light $$editme; \
-	    patch -o $$TARGETNAME EDITME.exim4-light $$editme; \
+	    patch -o $$TARGETNAME EDITME.exim4-light $$editme || \
+	    exit $$? ;\
 	  fi; \
 	done
 	touch unpack-configs-stamp
@@ -194,9 +189,6 @@
 configure-stamp: $(addsuffix /Makefile,$(BDIRS)) unpack-configs-stamp
 	dh_testdir
 	# Add here commands to configure the package.
-	# We currently do not want to build depend on debhelper 7.2.3 just to
-	# keep it from installing the wrong upstream changelog. 490937
-	rm -fv CHANGES
 	touch $@ 
 
 # Build binaries for the base package, the eximon4 package, and the
@@ -220,3 +212,20 @@
 	cp EDITME.exim4-heavy $(<D)/Local/Makefile
 	cd $(<D) && $(MAKE) FULLECHO=''
 
+b-exim4-daemon-custom/build-$(buildname)/exim: b-exim4-daemon-custom/Makefile configure-stamp
+	@echo build $(<D)
+	dh_testdir
+
+	rm -rf $(@D)
+	mkdir -p $(<D)/Local
+	cp EDITME.exim4-custom $(<D)/Local/Makefile
+	cd $(<D) && $(MAKE) FULLECHO=''
+
+build-indep: build-indep-stamp
+build-indep-stamp: debian/README.Debian
+	dh_testdir
+	touch $@
+
+build-arch: build-arch-stamp test-stamp
+
+ifeq ($(buildbasepackages),yes)
